Skip to main content

Header By Hash

GET

Retrieves the header of a specific block by its hash.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Query Parameters
hashstringrequired
Block hash to query.
Responses
jsonrpcstringrequired
idintegerrequired
blockstring
appstring
chain_idstring
heightstring
timestring
hashstring
totalinteger
hashstring
last_commit_hashstring
data_hashstring
validators_hashstring
next_validators_hashstring
consensus_hashstring
app_hashstring
last_results_hashstring
evidence_hashstring
proposer_addressstring
cURL
curl -X GET 'https://rpc-cronospos-mainnet.nodit.io/header_by_hash?hash=0xD70952032620CC4E2737EB8AC379806359D8E0B17B0488F627997A0B043ABDED' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'